[Frugalware-darcs] frugalware-current: hunspell-1.0.9-1-i686
VMiklos
vmiklos at frugalware.org
Sun Sep 4 16:57:30 CEST 2005
Sun Sep 4 16:32:06 CEST 2005 VMiklos <vmiklos at frugalware.org>
* hunspell-1.0.9-1-i686
version bump
From: CSÉCSY László <boobaa at ajrg.hu>
diff -rN -u old-frugalware-current/extra/source/apps/hunspell/FrugalBuild new-frugalware-current/extra/source/apps/hunspell/FrugalBuild
--- old-frugalware-current/extra/source/apps/hunspell/FrugalBuild 2005-09-04 16:56:47.000000000 +0200
+++ new-frugalware-current/extra/source/apps/hunspell/FrugalBuild 2005-09-04 16:34:58.000000000 +0200
@@ -1,53 +1,34 @@
-# Last modified: Tue, 07 Jun 2005 16:58:25 +0000
-# Compiling time: 0.03 SBU
+# Last modified: Wed, 24 Aug 2005 21:41:04 +0200
+# Compiling time: 0.10 SBU
# Maintainer: Laszlo Dvornik <dvornik at gnome.hu>
+# Contributor: CSÉCSY László <boobaa at ajrg.hu>
pkgname=hunspell
-pkgver=1.0_rc2
-pkgrel=2
+pkgver=1.0.9
+pkgrel=1
pkgdesc="An interactive Hungarian spell checker"
-url="http://magyarispell.sourceforge.net/"
-depends=('libstdc++' 'readline')
+url="http://hunspell.sourceforge.net/"
+rodepends=('hunspell-dict')
+depends=('libstdc++' 'readline' 'ncurses')
makedepends=('hd2u')
groups=('apps-extra')
archs=('i686' 'x86_64')
-up2date="lynx -dump http://magyarispell.sourceforge.net/|grep ]Hunspell|sed -ne 's/.* \(.*\) (.*/\1/;s/-/_/;s/RC/rc/;1 p'"
-source=(http://magyarispell.sourceforge.net/$pkgname-1.0-RC2.tar.gz \
- http://magyarispell.sourceforge.net/hu_HU-1.0-RC2.tar.gz \
+up2date="lynx -dump http://sourceforge.net/projects/hunspell | grep '\]Hunspell \[' | sed 's/.*Hunspell \[[0-9]\+\]\([0-9\.]\+\).*/\1/'"
+source=(http://dl.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz \
http://forditas.fsf.hu/scripts/huspell \
- huspell-po \
- hunspell-optimalization-fix.patch)
-sha1sums=('a5dd099c79dd365e6a49286bf409d59c3e907ea6' \
- '1db8506ce944a8f40fba92af2739e8269a956982' \
+ http://forditas.fsf.hu/scripts/huspell-po)
+sha1sums=('bc5216c319b267713001c33b3539561dab9eab28' \
'1d4ebed1c9dbcc06b11f748e85cd1a7d6fc8765e' \
- 'e9cbd788d0e0a5d934437fb7417fa6dc798ad3f3' \
- 'b68b56a943821133ebb5ed3453c1ea93aaec2e27')
+ '3b7e0cb054049ae0effaf450a3e3a0f86d347f43')
+
build() {
dos2unix -U huspell || return 1
- cd $Fsrcdir/$pkgname-1.0-RC2
- Fpatch hunspell-optimalization-fix.patch || return 1
- mv $startdir/src/hu_HU.{aff,dic} $startdir/src/$pkgname-1.0-RC2
-
- Fmake || return 1
-
- Fmkdir usr/bin
- cp {hunspell,hunp} $startdir/pkg/usr/bin
- ln -s hunspell $startdir/pkg/usr/bin/hunstem
+ cd $Fsrcdir/$pkgname-$pkgver
+ Fbuild --with-ui --with-readline
install -m 755 $startdir/src/huspell $startdir/pkg/usr/bin
- install -m 755 $startdir/src/huspell-po $startdir/pkg/usr/bin
- Fmkdir usr/share/myspell
- cp {hu_HU.aff,hu_HU.dic} $startdir/pkg/usr/share/myspell
- ln -s hu_HU.aff $startdir/pkg/usr/share/myspell/magyar.aff
- ln -s hu_HU.dic $startdir/pkg/usr/share/myspell/magyar.dic
- ln -s hu_HU.aff $startdir/pkg/usr/share/myspell/hungarian.aff
- ln -s hu_HU.dic $startdir/pkg/usr/share/myspell/hungarian.dic
- ln -s hu_HU.aff $startdir/pkg/usr/share/myspell/default.aff
- Fln -s hu_HU.dic $startdir/pkg/usr/share/myspell/default.dic
- mkdir -p $startdir/pkg/usr/share/man/{man1,man4}
- cp man/{hunspell.1,hunp.1} $startdir/pkg/usr/share/man/man1
- cp man/hunspell.4 $startdir/pkg/usr/share/man/man4
- mkdir -p $startdir/pkg/usr/share/locale/hu/LC_MESSAGES
- cp hunspell.mo $startdir/pkg/usr/share/locale/hu/LC_MESSAGES
+ install -m 755 $startdir/src/huspell-po $startdir/pkg/usr/bin
}
# vim: ft=sh
+
+# optimalization OK
diff -rN -u old-frugalware-current/extra/source/apps/hunspell/hunspell-optimalization-fix.patch new-frugalware-current/extra/source/apps/hunspell/hunspell-optimalization-fix.patch
--- old-frugalware-current/extra/source/apps/hunspell/hunspell-optimalization-fix.patch 2005-09-04 16:56:47.000000000 +0200
+++ new-frugalware-current/extra/source/apps/hunspell/hunspell-optimalization-fix.patch 1970-01-01 01:00:00.000000000 +0100
@@ -1,12 +0,0 @@
-diff -Naur hunspell-1.0-RC2.orig/Makefile hunspell-1.0-RC2/Makefile
---- hunspell-1.0-RC2.orig/Makefile 2005-06-07 16:56:17.000000000 +0000
-+++ hunspell-1.0-RC2/Makefile 2005-06-07 16:56:52.000000000 +0000
-@@ -16,7 +16,7 @@
- CC=g++
- #CC=/opt/SUNWspro/bin/CC
-
--CXXFLAGS=-O2 -Wall -ansi -pedantic -I.
-+CXXFLAGS+=-O2 -Wall -ansi -pedantic -I.
-
- # for debug only
- #CXXFLAGS=-g -O0 -Wall -ansi -pedantic -I.
diff -rN -u old-frugalware-current/extra/source/apps/hunspell/huspell new-frugalware-current/extra/source/apps/hunspell/huspell
--- old-frugalware-current/extra/source/apps/hunspell/huspell 1970-01-01 01:00:00.000000000 +0100
+++ new-frugalware-current/extra/source/apps/hunspell/huspell 2005-09-04 16:34:58.000000000 +0200
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+#
+# Az argumentumban megadott fájlokban, avagy argumentum nélküli indítás
+# esetén a standard inputban keres hibásan írt magyar szavakat.
+#
+# A kimenet soronként egy hibás szó, csupa kisbetûvel, magyar ábécérendbe
+# szedve (ehhez legalább 2.2.5-ös glibc kell), ismétlõdés nélkül.
+#
+# Alapvetõen a magyar ispellt használja (annak nagybetûsítve adja oda a
+# szavakat, hogy a tulajdonneveket ne jelezze hibásnak), de egy-két plusz
+# ellenõrzést is elvégez.
+#
+
+#
+# -al, -el: -val, -vel rag teljes hasonulását tessék végre megtanulni. ;-)
+#
+# 0-ás: a helyes alak 0-s (ejtsd: nullás, mert 0=nulla) vagy esetleg 0-as
+# (ejtsd: nullas, mert 0=null). Azért szokatlan, mert ez az egyetlen
+# magánhangzóra végzõdõ számnév, ahol ez a magánhangzó nem esik ki (a
+# "kettõ"-bõl "kettes" lesz, kiesik az õ betû), így csak itt találkozunk az
+# "-s" képzõvel kötõhang nélkül.
+#
+# bájt: a magyar helyesírás (még?) nem ismeri ezt az alakot, viszont a
+# "byte"-ot igen. A magyarispell is valószínûleg csak a "báj" szó tárgyesete
+# miatt fogadja el.
+#
+# baloldal, jobboldal: csak politikai értelemben van egybe írva, ezért
+# inkább hibának jelezzük. A "baloldalt" szó "bal oldalon" értelemben egybe
+# írandó (tehát a baloldalt látható ábrán ez meg az...).
+#
+
+#
+# Koblinger Egmont <egmont at uhulinux.hu>
+# 2002. szept. 12., nov. 24.
+#
+
+export LC_ALL=hu_HU
+
+TMP=`mktemp -d /tmp/huspell.XXXXXX` || exit
+trap "rm -rf $TMP" EXIT
+
+if [ $# = 0 ]; then
+ cat >$TMP/text
+else
+ for i; do
+ cat -- "$i" >>$TMP/text
+ echo >>$TMP/text
+ done
+fi
+
+tr -c '[:alnum:]-' '[\n*]' <$TMP/text | tr '[:lower:]' '[:upper:]' | \
+ grep -v '^$' | grep -v '^-*$' | sort | uniq >$TMP/words
+
+hunspell -dhungarian -l <$TMP/words >$TMP/hiba
+
+grep -i -- '-[ae]l$' <$TMP/words >>$TMP/hiba
+grep -i '^0-ás' <$TMP/words >>$TMP/hiba
+grep -i '^bájt' <$TMP/words >>$TMP/hiba
+grep -i '^kilobájt' <$TMP/words >>$TMP/hiba
+grep -i '^megabájt' <$TMP/words >>$TMP/hiba
+grep -i '^gigabájt' <$TMP/words >>$TMP/hiba
+grep -i '^baloldal' <$TMP/words | grep -iv '^baloldalt$' >>$TMP/hiba
+grep -i '^jobboldal' <$TMP/words | grep -iv '^jobboldalt$' >>$TMP/hiba
+
+tr '[:upper:]' '[:lower:]' <$TMP/hiba | sort | uniq
+
diff -rN -u old-frugalware-current/extra/source/apps/hunspell/huspell-po new-frugalware-current/extra/source/apps/hunspell/huspell-po
--- old-frugalware-current/extra/source/apps/hunspell/huspell-po 2005-09-04 16:56:47.000000000 +0200
+++ new-frugalware-current/extra/source/apps/hunspell/huspell-po 2005-09-04 16:34:58.000000000 +0200
@@ -1,27 +1,27 @@
-#!/bin/sh
-
-sed -e "s/©/(C)/g;s/®/(R)/g;s/Ã¥/a/g;s/ñ/n/g;s/Ã/x/g;s/ê/e/g;s/á»/e/g;s/á»
/e/g;s/è/e/g;s/â//g;s/â//g;s/â/'/g;s/â/'/g;s/â¢/\*/g;s/â/->/g;s/î/i/g;" | \
-msgconv -t iso-8859-2 | \
-tr -d "_" | \
-awk '
- BEGIN {
- do_print = 0;
- count = 0;
- }
- /^msgid/ {
- do_print = 0;
- }
- /^msgstr/ {
- do_print = 1;
- count = count + 1;
- }
- // {
- if (do_print && count > 2) print $0;
- }
-' | grep -v '^#' | sed -e 's/^msgstr "//' -e 's/^"//' -e 's/"$//' | \
-sed 's/\\.//g' |
-if [ "`echo $LANG | grep -i utf | cut -d '.' -f 2`" = "UTF-8" ] ; then
- huspell | iconv -f ISO_8859-2 -t UTF-8
-else
- huspell
-fi
+#!/bin/sh
+
+sed -e "s/©/(C)/g;s/®/(R)/g;s/Ã¥/a/g;s/ñ/n/g;s/Ã/x/g;s/ê/e/g;s/á»/e/g;s/á»
/e/g;s/è/e/g;s/â//g;s/â//g;s/â/'/g;s/â/'/g;s/â¢/\*/g;s/â/->/g;s/î/i/g;s/Û²Û´//g;s/â//g;s/â//g;s/â//g;" | \
+msgconv -t iso-8859-2 | \
+tr -d "_" | \
+awk '
+ BEGIN {
+ do_print = 0;
+ count = 0;
+ }
+ /^msgid/ {
+ do_print = 0;
+ }
+ /^msgstr/ {
+ do_print = 1;
+ count = count + 1;
+ }
+ // {
+ if (do_print && count > 2) print $0;
+ }
+' | grep -v '^#' | sed -e 's/^msgstr "//' -e 's/^"//' -e 's/"$//' | \
+sed 's/\\.//g' |
+if [ "`echo $LANG | grep -i utf | cut -d '.' -f 2`" = "UTF-8" ] ; then
+ huspell | iconv -f ISO_8859-2 -t UTF-8
+else
+ huspell
+fi
More information about the Frugalware-darcs
mailing list